# Cloud Voice REST API

## Service: voice.api.enfonica.com

To call this service, we recommend that you use a supported Enfonica [client library](/docs/libraries/overview/). If a client library is not available in your language or framework of choice, or if you need to write your own client, use the following information when you make API requests.

### Service endpoint

Cloud Voice has the following service endpoint and all URIs in the Cloud Voice REST API reference are relative to this service endpoint:

- `https://voice.api.enfonica.com`

## REST Resource: [v1beta1.projects.calls](/docs/cloud-voice/api-reference/rest/v1beta1/projects.calls/overview/)

Methods | &nbsp;
--|--
<span class="e-code">[create](/docs/cloud-voice/api-reference/rest/v1beta1/projects.calls/create/)</span> | <span class="e-code">POST /v1beta1/{parent}/calls</span><br/>Creates a call in the state QUEUED. This will cause an outgoing call to be started.<br/><br/>The caller must have `voice.calls.create` permission on the project.
<span class="e-code">[get](/docs/cloud-voice/api-reference/rest/v1beta1/projects.calls/get/)</span> | <span class="e-code">GET /v1beta1/{name}</span><br/>Retrieves a Call identified by the supplied resource name.<br/><br/>The caller must have `voice.calls.get` permission on the project.
<span class="e-code">[list](/docs/cloud-voice/api-reference/rest/v1beta1/projects.calls/list/)</span> | <span class="e-code">GET /v1beta1/{parent}/calls</span><br/>Lists the Calls of the specified project. List returns Calls sorted by create_time descending.<br/><br/>The caller must have `voice.calls.list` permission on the project.

## REST Resource: [v1beta1.projects.calls.recordings](/docs/cloud-voice/api-reference/rest/v1beta1/projects.calls.recordings/overview/)

Methods | &nbsp;
--|--
<span class="e-code">[get](/docs/cloud-voice/api-reference/rest/v1beta1/projects.calls.recordings/get/)</span> | <span class="e-code">GET /v1beta1/{name}</span><br/>Retrieves a Recording identified by the supplied resource name.<br/><br/>The caller must have `voice.recordings.get` permission on the project.
<span class="e-code">[list](/docs/cloud-voice/api-reference/rest/v1beta1/projects.calls.recordings/list/)</span> | <span class="e-code">GET /v1beta1/{parent}/recordings</span><br/>Lists the Recordings of the specified project. List returns Recordings sorted by create_time descending.<br/><br/>The caller must have `voice.recordings.list` permission on the project.
<span class="e-code">[delete](/docs/cloud-voice/api-reference/rest/v1beta1/projects.calls.recordings/delete/)</span> | <span class="e-code">DELETE /v1beta1/{name}</span><br/>Deletes a recording.<br/><br/>The caller must have `voice.recordings.delete` permission on the project.

## REST Resource: [v1beta1.projects.calls.sipInfo](/docs/cloud-voice/api-reference/rest/v1beta1/projects.calls.sipInfo/overview/)

Methods | &nbsp;
--|--
<span class="e-code">[get](/docs/cloud-voice/api-reference/rest/v1beta1/projects.calls.sipInfo/get/)</span> | <span class="e-code">GET /v1beta1/{name}</span><br/>Retrieves SIP information about the specified SIP call. If the call is not a SIP call, throws NOT_FOUND. If the call has not yet completed, throws FAILED_PRECONDITION. If the SIP call was created greater than 30 days ago, returns NOT_FOUND.<br/><br/>The caller must have `voice.calls.get` permission on the project.

## REST Resource: [v1beta1.projects.calls.transcriptions](/docs/cloud-voice/api-reference/rest/v1beta1/projects.calls.transcriptions/overview/)

Methods | &nbsp;
--|--
<span class="e-code">[get](/docs/cloud-voice/api-reference/rest/v1beta1/projects.calls.transcriptions/get/)</span> | <span class="e-code">GET /v1beta1/{name}</span><br/>Retrieves a Transcription identified by the supplied resource name.<br/><br/>The caller must have `voice.transcriptions.get` permission on the project.
<span class="e-code">[list](/docs/cloud-voice/api-reference/rest/v1beta1/projects.calls.transcriptions/list/)</span> | <span class="e-code">GET /v1beta1/{parent}/transcriptions</span><br/>Lists the Transcriptions of the specified project. List returns Transcriptions sorted by create_time descending.<br/><br/>The caller must have `voice.transcriptions.list` permission on the project.
<span class="e-code">[delete](/docs/cloud-voice/api-reference/rest/v1beta1/projects.calls.transcriptions/delete/)</span> | <span class="e-code">DELETE /v1beta1/{name}</span><br/>Deletes a transcription.<br/><br/>The caller must have `voice.transcriptions.delete` permission on the project.

## REST Resource: [v1beta1.projects.faxes](/docs/cloud-voice/api-reference/rest/v1beta1/projects.faxes/overview/)

Methods | &nbsp;
--|--
<span class="e-code">[get](/docs/cloud-voice/api-reference/rest/v1beta1/projects.faxes/get/)</span> | <span class="e-code">GET /v1beta1/{name}</span><br/>Retrieves a Fax identified by the supplied resource name.<br/><br/>The caller must have `voice.faxes.get` permission on the project.
<span class="e-code">[list](/docs/cloud-voice/api-reference/rest/v1beta1/projects.faxes/list/)</span> | <span class="e-code">GET /v1beta1/{parent}/faxes</span><br/>Lists the Faxes of the specified project. List returns Faxes sorted by create_time descending.<br/><br/>The caller must have `voice.faxes.list` permission on the project.
<span class="e-code">[delete](/docs/cloud-voice/api-reference/rest/v1beta1/projects.faxes/delete/)</span> | <span class="e-code">DELETE /v1beta1/{name}</span><br/>Deletes a fax.<br/><br/>The caller must have `voice.faxes.delete` permission on the project.

## REST Resource: [v1beta1.projects.recordings](/docs/cloud-voice/api-reference/rest/v1beta1/projects.recordings/overview/)

Methods | &nbsp;
--|--
<span class="e-code">[list](/docs/cloud-voice/api-reference/rest/v1beta1/projects.recordings/list/)</span> | <span class="e-code">GET /v1beta1/{parent}/recordings</span><br/>Lists the Recordings of the specified project. List returns Recordings sorted by create_time descending.<br/><br/>The caller must have `voice.recordings.list` permission on the project.

## REST Resource: [v1beta1.projects.sipDomains](/docs/cloud-voice/api-reference/rest/v1beta1/projects.sipDomains/overview/)

Methods | &nbsp;
--|--
<span class="e-code">[create](/docs/cloud-voice/api-reference/rest/v1beta1/projects.sipDomains/create/)</span> | <span class="e-code">POST /v1beta1/{parent}/sipDomains</span><br/>Creates a sip domain.<br/><br/>The caller must have `voice.sipDomains.create` permission on the project.
<span class="e-code">[get](/docs/cloud-voice/api-reference/rest/v1beta1/projects.sipDomains/get/)</span> | <span class="e-code">GET /v1beta1/{name}</span><br/>Retrieves a sip domain identified by the supplied resource name.<br/><br/>The caller must have `voice.sipDomains.get` permission on the project.
<span class="e-code">[list](/docs/cloud-voice/api-reference/rest/v1beta1/projects.sipDomains/list/)</span> | <span class="e-code">GET /v1beta1/{parent}/sipDomains</span><br/>Lists all SipDomains. List returns sip domain sorted by create_time descending.<br/><br/>The caller must have `voice.sipDomains.list` permission on the project.
<span class="e-code">[update](/docs/cloud-voice/api-reference/rest/v1beta1/projects.sipDomains/update/)</span> | <span class="e-code">PATCH /v1beta1/{sip_domain.name}</span><br/>Updates a sip domain.<br/><br/>The caller must have `voice.sipDomains.update` permission on the project.
<span class="e-code">[delete](/docs/cloud-voice/api-reference/rest/v1beta1/projects.sipDomains/delete/)</span> | <span class="e-code">DELETE /v1beta1/{name}</span><br/>Performs a soft-delete of the specified SIP domain.<br/><br/>The caller must have `voice.sipDomains.delete` permission on the project.
<span class="e-code">[verifyTeamsDirectRouting](/docs/cloud-voice/api-reference/rest/v1beta1/projects.sipDomains/verifyTeamsDirectRouting/)</span> | <span class="e-code">POST /v1beta1/{sip_domain}:verifyTeamsDirectRouting</span><br/>Verifies the SIP domain with Teams Direct Routing by applying a verification string provided by Office 365.<br/><br/>The caller must have `voice.sipDomains.update` permission on the project.

## REST Resource: [v1beta1.projects.sipDomains.aliases](/docs/cloud-voice/api-reference/rest/v1beta1/projects.sipDomains.aliases/overview/)

Methods | &nbsp;
--|--
<span class="e-code">[create](/docs/cloud-voice/api-reference/rest/v1beta1/projects.sipDomains.aliases/create/)</span> | <span class="e-code">POST /v1beta1/{parent}/aliases</span><br/>Creates a alias.<br/><br/>The caller must have `voice.aliases.create` permission on the project.
<span class="e-code">[get](/docs/cloud-voice/api-reference/rest/v1beta1/projects.sipDomains.aliases/get/)</span> | <span class="e-code">GET /v1beta1/{name}</span><br/>Retrieves a alias identified by the supplied resource name.<br/><br/>The caller must have `voice.aliases.get` permission on the project.
<span class="e-code">[list](/docs/cloud-voice/api-reference/rest/v1beta1/projects.sipDomains.aliases/list/)</span> | <span class="e-code">GET /v1beta1/{parent}/aliases</span><br/>Lists all Aliases. List returns alias sorted by create_time descending.<br/><br/>The caller must have `voice.aliases.list` permission on the project.
<span class="e-code">[update](/docs/cloud-voice/api-reference/rest/v1beta1/projects.sipDomains.aliases/update/)</span> | <span class="e-code">PATCH /v1beta1/{alias.name}</span><br/>Updates a alias.<br/><br/>The caller must have `voice.aliases.update` permission on the project.
<span class="e-code">[delete](/docs/cloud-voice/api-reference/rest/v1beta1/projects.sipDomains.aliases/delete/)</span> | <span class="e-code">DELETE /v1beta1/{name}</span><br/>Deletes the specified alias.<br/><br/>The caller must have `voice.aliases.delete` permission on the project.

## REST Resource: [v1beta1.projects.sipDomains.users](/docs/cloud-voice/api-reference/rest/v1beta1/projects.sipDomains.users/overview/)

Methods | &nbsp;
--|--
<span class="e-code">[create](/docs/cloud-voice/api-reference/rest/v1beta1/projects.sipDomains.users/create/)</span> | <span class="e-code">POST /v1beta1/{parent}/users</span><br/>Creates a user.<br/><br/>The caller must have `voice.users.create` permission on the project.
<span class="e-code">[get](/docs/cloud-voice/api-reference/rest/v1beta1/projects.sipDomains.users/get/)</span> | <span class="e-code">GET /v1beta1/{name}</span><br/>Retrieves a user identified by the supplied resource name.<br/><br/>The caller must have `voice.users.get` permission on the project.
<span class="e-code">[list](/docs/cloud-voice/api-reference/rest/v1beta1/projects.sipDomains.users/list/)</span> | <span class="e-code">GET /v1beta1/{parent}/users</span><br/>Lists all Users. List returns user sorted by create_time descending.<br/><br/>The caller must have `voice.users.list` permission on the project.
<span class="e-code">[update](/docs/cloud-voice/api-reference/rest/v1beta1/projects.sipDomains.users/update/)</span> | <span class="e-code">PATCH /v1beta1/{user.name}</span><br/>Updates a user.<br/><br/>The caller must have `voice.users.update` permission on the project.
<span class="e-code">[delete](/docs/cloud-voice/api-reference/rest/v1beta1/projects.sipDomains.users/delete/)</span> | <span class="e-code">DELETE /v1beta1/{name}</span><br/>Deletes the specified user.<br/><br/>The caller must have `voice.users.delete` permission on the project.

## REST Resource: [v1beta1.projects.transcriptions](/docs/cloud-voice/api-reference/rest/v1beta1/projects.transcriptions/overview/)

Methods | &nbsp;
--|--
<span class="e-code">[list](/docs/cloud-voice/api-reference/rest/v1beta1/projects.transcriptions/list/)</span> | <span class="e-code">GET /v1beta1/{parent}/transcriptions</span><br/>Lists the Transcriptions of the specified project. List returns Transcriptions sorted by create_time descending.<br/><br/>The caller must have `voice.transcriptions.list` permission on the project.

